<?php
  $qtabela  = "create table osoba(";
  $qtabela .= "id int not null primary key,";
  $qtabela .= "imie varchar(20) not null,";
  $qtabela .= "nazwisko varchar(30) not null,";
  $qtabela .= "data_ur date,";
  $qtabela .= "pesel char(11) not null,";
  $qtabela .= "adres varchar(60))";
  
  $dane = array(
  	array( 'id'=>1, 'imie'=>'Adam', 'nazwisko'=>'Waleczek', 'data_ur'=>'1977-01-02', 'pesel'=>'77010223221', 'adres'=>'ul. Kamieńskiego 20, Wrocław' ),
  	array( 'id'=>2, 'imie'=>'Maria', 'nazwisko'=>'Król', 'data_ur'=>'1972-04-01', 'pesel'=>'72040167843', 'adres'=>'ul. Kromera 2, Wrocław' ),
  	array( 'id'=>3, 'imie'=>'Ewa', 'nazwisko'=>'Samiec', 'data_ur'=>'1980-10-10', 'pesel'=>'80101098734', 'adres'=>'ul. Reja 18, Wrocław' ),
  	array( 'id'=>4, 'imie'=>'Adam', 'nazwisko'=>'Wysocki', 'data_ur'=>'1970-11-11', 'pesel'=>'70111198264' )
  );
  
  $link = pg_connect( "host=localhost dbname=postgres user=postgres password=pgsql812" );
  pg_query( $link, "drop table osoba" );
  pg_query( $link, $qtabela );
  pg_insert( $link, 'osoba', $dane[0] );
  pg_insert( $link, 'osoba', $dane[1] );
  pg_insert( $link, 'osoba', $dane[2] );
  pg_insert( $link, 'osoba', $dane[3] );
  pg_delete( $link, 'osoba', array( 'nazwisko'=>'Samiec' ) );
  pg_close( $link );
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Tworzenie tabeli</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>

<body>

Dane tej tabeli:

<table border="1">
<?php
  $link = pg_connect( "host=localhost dbname=postgres user=postgres password=pgsql812" );
  $t = pg_select( $link, "osoba", array( 'imie'=>'Adam' ) );
  $m = pg_meta_data( $link, "osoba" );
  print( "<tr>" );
  foreach ( $m as $k=>$v ) echo "<th>".ucwords($k)."</th>";
  print( "</tr>" );
  foreach ( $t as $row )
  {
  	echo "<tr>";
  	foreach( $row as $col )
  	{
  		echo "<td>$col</td>";
  	}
  	echo "</tr>";
  }
  pg_close( $link );
?>
</table>

</body>
</html>