<?php
function db_connect( $error=null, $configfile='database_config.php' )
{
  require_once( $configfile );
  $conn = pg_connect( "host=$server dbname=$database user=$user password=$password" );
  $error=pg_last_error( $conn ); 
  return $conn;
}

function db_query( $conn, $query, $error=null )
{
  $res=pg_query( $conn, $query );
  $error=pg_last_error( $conn );
  return $res;
}

function db_fetch( $result )
{
  return pg_fetch_assoc( $result );
}

function db_genid( $link, $table, $idcol )
{
        $res=db_query( $link, "select max($idcol) from $table" );
        $row=db_fetch( $res );
        if ( $res ) return $row[0]+1;
        return 1;
}

function db_close( $conn )
{
  pg_close($conn);
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Tworzenie tabeli</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>

<body>

Dane tej tabeli:
<table border="1">
<?php
  $link=db_connect();
  $result=db_query( $link, "select * from osoba" );
  while ( $row=db_fetch( $result ) )
  {
  	echo "<tr>";
	foreach ( $row as $col ) echo "<td>$col</td>";
	echo "</tr>";  	
  }
  db_close( $link );
?> 
</body>
</html>