<?php
/* Na początku tworzymy następujący wpis w pliku php.ini: 
[PDO]
pdo.dsn.mysql="mysql:dbname=test;host=localhost"
*/
$user="root";
$pass="";

$sql1 = "insert into osoba(id,imie,nazwisko,data_ur,pesel,adres) VALUES(1,'Adam','Waleczek','1977-01-02','77010223221','ul. Kamieńskiego 20, Wrocław')";
$sql2 = "insert into osoba(id,imie,nazwisko,data_ur,pesel,adres) VALUES(2,'Maria','Król','1972-04-01','72040167843','ul. Kromera 2, Wrocław')";
$sql3 = "insert into osoba(id,imie,nazwisko,data_ur,pesel,adres) VALUES(3,'Ewa','Samiec','1980-10-10','80101098734','ul. Reja 18, Wrocław')";
?>

<?php
try
{
  $dbh = new PDO( 'mysql:host=localhost;dbname=test', $user, $pass );
  $dbh->exec( "delete from osoba" );
  //$dbh->setAttribute( PDO::ATTR_ERRMODE, PDO::ERRMODE_SILENT);
  //$dbh->setAttribute( PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
  $dbh->setAttribute( PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

  //$dbh->exec( $sql1 ); // Po odznaczeniu będzie to jedyny rekord w tabeli (transakcja poniżej)

  $dbh->beginTransaction();
  $dbh->exec( $sql1 );
  $dbh->exec( $sql2 );
  $dbh->exec( $sql3 );
  $dbh->commit();  
}
catch ( Exception $e )
{
  $dbh->rollBack();
  echo "Failed: " . $e->getMessage();
}
?> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Tworzenie tabeli</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>

<body>
	
<table border="1">
<?php
try
{
  $dsn1="mysql:host=localhost;dbname=test";
  $dsn2="uri:file://D:\Moje Dokumenty\WWW\php\w04\mysql.dsn";
  $dsn3="mysql";

   $dbh = new PDO( $dsn1, $user, $pass );
   
   $rs=$dbh->query( 'SELECT * from osoba', PDO::FETCH_ASSOC );
   //$rs->setFetchMode( PDO::FETCH_BOTH );
   //foreach ( $dbh->query( 'SELECT * from osoba' ) as $row ) {
   foreach ( $rs as $row ) {
   echo "<tr>";
   	 foreach ( $row as $col )
   	 {
       echo "<td>$col</td>";
   	 }
   	 echo "</tr>";
   }
   $dbh = null;
}
catch ( PDOException $e )
{
   print "Error!: " . $e->getMessage() . "<br/>";
   die();
}
?>

</table>

</body>
</html> 