<?php
require_once( "DB.php" );
$dsn = 'pgsql://postgres:pgsql812@localhost/postgres';
$dsn = array( 'phptype' => 'pgsql', 'username' => 'postgres', 'password' => 'pgsql812', 'hostspec' => 'localhost', 'database' => 'postgres' );

$sql = "insert into osoba(id,imie,nazwisko,data_ur,pesel,adres) VALUES( ?, ?, ?, ?, ?, ? )";

$dane = array(
  array( 1,'Adam','Waleczek','1977-01-02','77010223221','ul. Kamieńskiego 20, Wrocław' ),
  array( 2,'Maria','Król','1972-04-01','72040167843','ul. Kromera 2, Wrocław' ),
  array( 3,'Ewa','Samiec','1980-10-10','80101098734','ul. Reja 18, Wrocław' )
);

try
{
	$conn = DB::connect( $dsn );
	if ( DB::isError( $conn ) ) throw new Exception( "Błąd połączenia z bazą danych" );
	/* 1 */
	$res=$conn->query( "delete from osoba" );
	if ( DB::isError( $res ) ) throw new Exception( "Błąd wykonania zapytania" );
	foreach ( $dane as $row )
	{
		$res=$conn->query( $sql, $row );
		if ( DB::isError( $res ) ) throw new Exception( "Błąd wykonania zapytania" );
	}
	/* 2 */
	$res=$conn->query( "delete from osoba" );
	if ( DB::isError( $res ) ) throw new Exception( "Błąd wykonania zapytania" );
	$stmt=$conn->prepare( $sql );
	foreach ( $dane as $row )
	{
		$res=$conn->execute( $stmt, $row );
		if ( DB::isError( $res ) ) throw new Exception( "Błąd wykonania zapytania" );
	}
	/* 3 */
	$res=$conn->query( "delete from osoba" );
	if ( DB::isError( $res ) ) throw new Exception( "Błąd wykonania zapytania" );
	$stmt=$conn->prepare( $sql );
	$conn->executeMultiple( $stmt, $dane );

	$conn->disconnect();
}
catch ( Exception $e )
{
	echo $e->getMessage();
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Tworzenie tabeli</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>

<body>

<?php
try
{
	$conn = DB::connect( $dsn );
	if ( DB::isError( $conn ) ) throw new Exception( "Błąd połączenia z bazą danych" );
	$res=&$conn->query( "select * from osoba" );
	if ( DB::isError( $res ) ) throw new Exception( "Błąd wykonania zapytania" );
	echo "<table border='1'>";
	while ( $o=&$res->fetchRow( DB_FETCHMODE_OBJECT ) )
	{
		echo "<tr>";
		echo "<td>$o->id</td>";
		echo "<td>$o->imie</td>";
		echo "<td>$o->nazwisko</td>";
		echo "<td>$o->data_ur</td>";
		echo "<td>$o->pesel</td>";
		echo "<td>$o->adres</td>";
		echo "</tr>";
	} 
	echo "</table>";

	echo "<br>";

	$res=&$conn->limitQuery( "select * from osoba", 1, 2 ); // przydatne przy stronicowaniu
	if ( DB::isError( $res ) ) throw new Exception( "Błąd wykonania zapytania" );
	echo "<table border='1'>";
	while ( $o=&$res->fetchRow( DB_FETCHMODE_OBJECT ) )
	{
		echo "<tr>";
		echo "<td>$o->id</td>";
		echo "<td>$o->imie</td>";
		echo "<td>$o->nazwisko</td>";
		echo "<td>$o->data_ur</td>";
		echo "<td>$o->pesel</td>";
		echo "<td>$o->adres</td>";
		echo "</tr>";
	} 
	echo "</table>";

	$conn->disconnect();
}
catch ( Exception $e )
{
	
}
?>

</body>
</html>	
